<h2>Methods run, sorted chronologically</h2><h3>&gt;&gt; means before, &lt;&lt; means after</h3><p/><br/><em>QAF Demo</em><p/><small><i>(Hover the method name to see the test class name)</i></small><p/>
<table border="1">
<tr><th>Time</th><th>Delta (ms)</th><th>Suite<br>configuration</th><th>Test<br>configuration</th><th>Class<br>configuration</th><th>Groups<br>configuration</th><th>Method<br>configuration</th><th>Test<br>method</th><th>Thread</th><th>Instances</th></tr>
<tr bgcolor="c1c070">  <td>20/12/02 12:23:16</td>   <td>0</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="scenarios.suite1.bdd.SampleTest()[pri:1000, instance:com.qmetry.qaf.automation.step.client.Scenario@3e8]">SampleTest</td> 
  <td>main@1197365356</td>   <td>1000 </td> </tr>
<tr bgcolor="9bd883">  <td>20/12/02 12:23:17</td>   <td>344</td> <td>&nbsp;</td><td>&nbsp;</td><td title="&lt;&lt;AbstractTestCase.afterClass(org.testng.ITestContext)[pri:0, instance:com.qmetry.qaf.automation.step.client.Scenario@3e8]">&lt;&lt;afterClass</td> 
<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>  <td>main@1197365356</td>   <td>1000 </td> </tr>
<tr bgcolor="9bd883">  <td>20/12/02 12:23:17</td>   <td>388</td> <td>&nbsp;</td><td>&nbsp;</td><td title="&lt;&lt;AbstractTestCase.afterClass(org.testng.ITestContext)[pri:0, instance:com.qmetry.qaf.example.test.SampleTest@1b083826]">&lt;&lt;afterClass</td> 
<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>  <td>main@1197365356</td>   <td></td> </tr>
<tr bgcolor="9bd883">  <td>20/12/02 12:23:17</td>   <td>343</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&lt;&lt;AbstractTestCase.afterMethod(org.testng.ITestContext, org.testng.ITestResult)[pri:0, instance:com.qmetry.qaf.automation.step.client.Scenario@3e8]">&lt;&lt;afterMethod</td> 
<td>&nbsp;</td>  <td>main@1197365356</td>   <td>1000 </td> </tr>
<tr bgcolor="9bd883">  <td>20/12/02 12:23:17</td>   <td>387</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&lt;&lt;AbstractTestCase.afterMethod(org.testng.ITestContext, org.testng.ITestResult)[pri:0, instance:com.qmetry.qaf.example.test.SampleTest@1b083826]">&lt;&lt;afterMethod</td> 
<td>&nbsp;</td>  <td>main@1197365356</td>   <td></td> </tr>
<tr bgcolor="a9af70">  <td>20/12/02 12:23:17</td>   <td>402</td> <td title="&lt;&lt;TestNGTestCase.afterSuit(org.testng.ITestContext)[pri:0, instance:com.qmetry.qaf.example.test.SampleTest@1b083826]">&lt;&lt;afterSuit</td> 
<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>  <td>main@1197365356</td>   <td></td> </tr>
<tr bgcolor="9bd883">  <td>20/12/02 12:23:17</td>   <td>346</td> <td>&nbsp;</td><td title="&lt;&lt;AbstractTestCase.afterTest(org.testng.ITestContext)[pri:0, instance:com.qmetry.qaf.automation.step.client.Scenario@3e8]">&lt;&lt;afterTest</td> 
<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>  <td>main@1197365356</td>   <td>1000 </td> </tr>
<tr bgcolor="9bd883">  <td>20/12/02 12:23:17</td>   <td>389</td> <td>&nbsp;</td><td title="&lt;&lt;AbstractTestCase.afterTest(org.testng.ITestContext)[pri:0, instance:com.qmetry.qaf.example.test.SampleTest@1b083826]">&lt;&lt;afterTest</td> 
<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>  <td>main@1197365356</td>   <td></td> </tr>
<tr bgcolor="a9af70">  <td>20/12/02 12:23:16</td>   <td>-6</td> <td>&nbsp;</td><td>&nbsp;</td><td title="&gt;&gt;TestNGTestCase.setup(org.testng.ITestContext)[pri:0, instance:com.qmetry.qaf.automation.step.client.Scenario@3e8]">&gt;&gt;setup</td> 
<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>  <td>main@1197365356</td>   <td>1000 </td> </tr>
<tr bgcolor="a9af70">  <td>20/12/02 12:23:17</td>   <td>374</td> <td>&nbsp;</td><td>&nbsp;</td><td title="&gt;&gt;TestNGTestCase.setup(org.testng.ITestContext)[pri:0, instance:com.qmetry.qaf.example.test.SampleTest@1b083826]">&gt;&gt;setup</td> 
<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>  <td>main@1197365356</td>   <td></td> </tr>
<tr bgcolor="a9af70">  <td>20/12/02 12:23:16</td>   <td>0</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&gt;&gt;TestNGTestCase.setupMethod(java.lang.reflect.Method, org.testng.ITestContext)[pri:0, instance:com.qmetry.qaf.automation.step.client.Scenario@3e8]">&gt;&gt;setupMethod</td> 
<td>&nbsp;</td>  <td>main@1197365356</td>   <td>1000 </td> </tr>
<tr bgcolor="a9af70">  <td>20/12/02 12:23:17</td>   <td>375</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&gt;&gt;TestNGTestCase.setupMethod(java.lang.reflect.Method, org.testng.ITestContext)[pri:0, instance:com.qmetry.qaf.example.test.SampleTest@1b083826]">&gt;&gt;setupMethod</td> 
<td>&nbsp;</td>  <td>main@1197365356</td>   <td></td> </tr>
<tr bgcolor="a9af70">  <td>20/12/02 12:23:16</td>   <td>-34</td> <td title="&gt;&gt;TestNGTestCase.setupSuit(org.testng.ITestContext)[pri:0, instance:com.qmetry.qaf.example.test.SampleTest@1b083826]">&gt;&gt;setupSuit</td> 
<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>  <td>main@1197365356</td>   <td></td> </tr>
<tr bgcolor="a9af70">  <td>20/12/02 12:23:16</td>   <td>-11</td> <td>&nbsp;</td><td title="&gt;&gt;TestNGTestCase.setupTest(org.testng.ITestContext)[pri:0, instance:com.qmetry.qaf.automation.step.client.Scenario@3e8]">&gt;&gt;setupTest</td> 
<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>  <td>main@1197365356</td>   <td>1000 </td> </tr>
<tr bgcolor="a9af70">  <td>20/12/02 12:23:17</td>   <td>373</td> <td>&nbsp;</td><td title="&gt;&gt;TestNGTestCase.setupTest(org.testng.ITestContext)[pri:0, instance:com.qmetry.qaf.example.test.SampleTest@1b083826]">&gt;&gt;setupTest</td> 
<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>  <td>main@1197365356</td>   <td></td> </tr>
<tr bgcolor="e6dfe1">  <td>20/12/02 12:23:17</td>   <td>375</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="SampleTest.testGoogleSearch()[pri:0, instance:com.qmetry.qaf.example.test.SampleTest@1b083826]">testGoogleSearch</td> 
  <td>main@1197365356</td>   <td></td> </tr>
</table>
